 /**
  * Sistema Integral de Planificación y Presupuesto (SIPP)
  * @file proyectos_operativos2.js
  * Drupal part Module to Sistema Integral de Planificación y Presupuesto (SIPP)
  * Copyright 2011 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Msc. Juan Vizcarrondo
  * @date 2012-02-02 // (a&#241;o-mes-dia)
  * @version 0.1 // (0.1)
  */

/*
 * Implementation of sumatexto()
 */
function sumatexto(clase) {
  var sum = 0;
  var i = 0;
  var valor = 0;
  $('.' + clase).each(function() {
    valor = parseFloat($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
    if (isNaN(valor) || !isFinite(valor)) {
      $(this).val(0);
      valor = 0;
    }
    sum += valor;
  });
  if (sum == 0){sum = '0';}
  $('.' + clase + '_total').html($.number(sum, Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
}

/*
 * Implementacion valores iniciales
 */
var accionEspecifica = {};
Drupal.behaviors.accionEspecifica = function (context) {
  var personas = Drupal.settings.accion_esp.unidadmpers;
  var valorundm = $('#edit-field-accion-esp-unidadm-value').val();
  if (typeof personas[valorundm] == "undefined") {
    $('#meta-unidm-pers').hide();
  }
  $("#edit-field-accion-esp-unidadm-value").change(function() {
    valorundm = $(this).val();
    if (typeof personas[valorundm] == "undefined") {
      $("#edit-field-accion-esp-meta-m-0-value").val(0);
      $("#edit-field-accion-esp-meta-f-0-value").val(0);
      $('#meta-unidm-pers').hide();
    }
    else {
      $('#meta-unidm-pers').show();
    }
  });

  //myplanner
  $(".totales-financieros").attr('readonly', true);
  for(var i = 0; i < 12; i++) {
    sumatexto("field_accion_esp_programacion_m" + i + "_field");
  }
  sumatexto("field_accion_esp_programacion_dato_field");
    $(".number").each(function() {
      $(this).val($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
    });
  $(".number, .totales, .totales-financieros, .subtotales").each(function() {
    $(this).val($.number($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'), Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
  });
  $(".number").keyup(function(evt) {
    $(this).val($.number($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'), Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
  });
  $("#proyectos-operativos-accion-especifica-crear-form").submit(function( event ) {
    $(".number").each(function() {
      $(this).val($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
    });
    return ;
  });
}

/*
 * Implementation of sumarff()
 */
function sumarff(clase) {
  var sum = 0;
  var i = 0;
  var valor = 0;
  $('.total-' + clase).each(function() {
    valor = parseFloat($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
    if (isNaN(valor) || !isFinite(valor)) {
      $(this).val(0);
      valor = 0;
    }
    sum += valor;
  });
  $('#edit-total-' + clase).val($.number(sum, Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
}

/*
 * Implementation of sumarff1()
 */
function sumarff1(clase) {
  var sum = 0;
  var i = 0;
  var valor = 0;
  $('.' + clase).each(function() {
    valor = parseFloat($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
    if (isNaN(valor) || !isFinite(valor)) {
      alert('Debe introducir solo números');
      $(this).val(0);
      valor = 0;
    }
    sum += valor;
  });
  $('#edit-total-financiamiento').val($.number(sum, Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
}
/*
 * Implementacion of sumunidpersonas
 */
function accionEspecificasumunidpersonas(clase) {
  var sum = 0;
  var i = 0;
  var valor = 0;
  $('.' + clase).each(function() {
    valor = parseFloat($(this).val().replace(/[Drupal.settings.format_number.thousands_sep\s]/g, '').replace(/[Drupal.settings.format_number.dec_point\s]/g, '.'));
    if (valor < 0 || isNaN(valor) || !isFinite(valor)) {
      $(this).val(0);
      valor = 0;
    }
    sum += valor;
  });
  $('.' + clase + '_total').text($.number(sum, Drupal.settings.format_number.decimals, Drupal.settings.format_number.dec_point, Drupal.settings.format_number.thousands_sep));
}
